from fsaclasses import State, Trigger
from CBDMultipleOutput.Source.CBD import ConstantBlock


class CBDState(State):
    def __init__(self, name, cbdModel, final = False):
        State.__init__(self, name, final)
        self.cbd = cbdModel
        
    def getName(self):
        return self.name

class WhenCrossesZeroTrigger(Trigger):
    def __init__(self, varname, up_direction = True):
        self.varname = varname
        self.up_direction = up_direction


class InputConstantBlock(ConstantBlock):
    pass